Skip to main content
POST
/
client
/
employees
cURL
curl --request POST \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/employees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "Mary",
  "last_name": "Doe",
  "email": "[email protected]",
  "country_id": "United States",
  "phone": "+1-555-555-5555",
  "address": "123 Main Street Apt. 1 New York, NY"
}
'
{
  "success": true,
  "message": "Record created successfully",
  "data": {
    "id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
    "first_name": "Mary",
    "last_name": "Doe",
    "email": "[email protected]",
    "personal_email": null,
    "phone": "+1-555-555-5555",
    "country": "United States",
    "landmark": null,
    "last_login": null,
    "job_title": null,
    "tax_number": null,
    "address": "123 Main Street Apt. 1 New York, NY",
    "employment_type": null,
    "level": null,
    "status": null,
    "country_code": "US",
    "currency_code": "USD",
    "departments": [],
    "created_at": "2024-01-17T10:21:37.000Z",
    "catalogs": null,
    "equipment": [],
    "orders": []
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The employee data to create

first_name
string
required

The first name of the employee

Example:

"Mary"

last_name
string
required

The last name of the employee

Example:

"Doe"

email
string<email>
required

The email address of the employee

country_id
string
required

The country ID/name/code where the employee is based (E.g. "f265bbc9-e505-4e73-b949-7e30185c525b" or Germany or DE)

Example:

"United States"

phone
string
required

The contact phone number of the employee

Example:

"+1-555-555-5555"

address
string
required

The physical address of the employee

Example:

"123 Main Street Apt. 1 New York, NY"

Response

Employee record created successfully

success
boolean
Example:

true

message
string
Example:

"Record created successfully"

data
object